<?php

namespace Drupal\juicerio\Plugin\Derivative;

/**
 * @file
 * Contains \Drupal\juicerio\src\Plugin\Derivative\JuicerEmbedFeedBlockDerivative.
 */

use Drupal\Component\Plugin\Derivative\DeriverBase;
use Drupal\Core\StringTranslation\StringTranslationTrait;

/**
 * Class JuicerEmbedFeedBlockDerivative.
 *
 * @package Drupal\juicerio\Plugin\Derivative.
 */
class JuicerEmbedFeedBlockDerivative extends DeriverBase {

  use StringTranslationTrait;

  /**
   * {@inheritdoc}
   */
  public function getDerivativeDefinitions($base_plugin_definition) {
    $count = \Drupal::config('juicerio.settings')->get('juicer_blocks');

    for ($delta = 1; $delta <= $count; $delta++) {
      $info = $this->t('Juicer Embed Feed');
      $this->derivatives['juicerio_' . $delta] = $base_plugin_definition;
      $this->derivatives['juicerio_' . $delta]['admin_label'] = $this->t('@info @delta', ['@info' => $info, '@delta' => $delta]);
    }

    return $this->derivatives;
  }

}
